Publication Builds
Choose one creative alternative and create a draft
POST
/publication-builds/{id}/options/{option_id}/commitAuthorizationBearer <token>
In: header
Path Parameters
id*string
option_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/publication-builds/string/options/string/commit" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 1 }'{ "$schema": "https://example.com/api/v1/schemas/CommitPublicationBuildOutputBody.json", "href": "string", "publication_id": "string"}